Index: src/atom_trajectoryparticle.cpp
===================================================================
--- src/atom_trajectoryparticle.cpp	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/atom_trajectoryparticle.cpp	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * atom_trajectoryparticle.cpp
@@ -5,4 +12,9 @@
  *      Author: heber
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
@@ -38,5 +50,5 @@
 {
   for (int i=NDIM;i--;)
-    *temperature += getType()->mass * Trajectory.U.at(step)[i]* Trajectory.U.at(step)[i];
+    *temperature += getType()->getMass() * Trajectory.U.at(step)[i]* Trajectory.U.at(step)[i];
 };
 
@@ -65,5 +77,5 @@
   for(int d=0;d<NDIM;d++) {
     Trajectory.U.at(Step)[d] -= CoGVelocity->at(d);
-    *ActualTemp += 0.5 * getType()->mass * Trajectory.U.at(Step)[d] * Trajectory.U.at(Step)[d];
+    *ActualTemp += 0.5 * getType()->getMass() * Trajectory.U.at(Step)[d] * Trajectory.U.at(Step)[d];
   }
 };
@@ -113,10 +125,10 @@
     Trajectory.R.at(NextStep)[d] = Trajectory.R.at(NextStep-1)[d];
     Trajectory.R.at(NextStep)[d] += configuration->Deltat*(Trajectory.U.at(NextStep-1)[d]);     // s(t) = s(0) + v * deltat + 1/2 a * deltat^2
-    Trajectory.R.at(NextStep)[d] += 0.5*configuration->Deltat*configuration->Deltat*(Trajectory.F.at(NextStep)[d]/getType()->mass);     // F = m * a and s =
+    Trajectory.R.at(NextStep)[d] += 0.5*configuration->Deltat*configuration->Deltat*(Trajectory.F.at(NextStep)[d]/getType()->getMass());     // F = m * a and s =
   }
   // Update U
   for (int d=0; d<NDIM; d++) {
     Trajectory.U.at(NextStep)[d] = Trajectory.U.at(NextStep-1)[d];
-    Trajectory.U.at(NextStep)[d] += configuration->Deltat * (Trajectory.F.at(NextStep)[d]+Trajectory.F.at(NextStep-1)[d]/getType()->mass); // v = F/m * t
+    Trajectory.U.at(NextStep)[d] += configuration->Deltat * (Trajectory.F.at(NextStep)[d]+Trajectory.F.at(NextStep-1)[d]/getType()->getMass()); // v = F/m * t
   }
   // Update R (and F)
@@ -137,7 +149,7 @@
 void TrajectoryParticle::SumUpKineticEnergy( int Step, double *TotalMass, Vector *TotalVelocity ) const
 {
-  *TotalMass += getType()->mass;  // sum up total mass
+  *TotalMass += getType()->getMass();  // sum up total mass
   for(int d=0;d<NDIM;d++) {
-    TotalVelocity->at(d) += Trajectory.U.at(Step)[d]*getType()->mass;
+    TotalVelocity->at(d) += Trajectory.U.at(Step)[d]*getType()->getMass();
   }
 };
@@ -154,5 +166,5 @@
     for (int d=0; d<NDIM; d++) {
       U[d] *= ScaleTempFactor;
-      *ekin += 0.5*getType()->mass * U[d]*U[d];
+      *ekin += 0.5*getType()->getMass() * U[d]*U[d];
     }
 };
@@ -170,5 +182,5 @@
     for (int d=0; d<NDIM; d++) {
       *G += U[d] * F[d];
-      *E += U[d]*U[d]*getType()->mass;
+      *E += U[d]*U[d]*getType()->getMass();
     }
 };
@@ -185,6 +197,6 @@
   if (FixedIon == 0) // even FixedIon moves, only not by other's forces
     for (int d=0; d<NDIM; d++) {
-      U[d] += configuration->Deltat/getType()->mass * ( (G_over_E) * (U[d]*getType()->mass) );
-      *ekin += getType()->mass * U[d]*U[d];
+      U[d] += configuration->Deltat/getType()->getMass() * ( (G_over_E) * (U[d]*getType()->getMass()) );
+      *ekin += getType()->getMass() * U[d]*U[d];
     }
 };
@@ -198,5 +210,5 @@
 void TrajectoryParticle::Thermostat_Langevin(int Step, gsl_rng * r, double *ekin, config *configuration)
 {
-  double sigma  = sqrt(configuration->Thermostats->TargetTemp/getType()->mass); // sigma = (k_b T)/m (Hartree/atomicmass = atomiclength/atomictime)
+  double sigma  = sqrt(configuration->Thermostats->TargetTemp/getType()->getMass()); // sigma = (k_b T)/m (Hartree/atomicmass = atomiclength/atomictime)
   Vector &U = Trajectory.U.at(Step);
   if (FixedIon == 0) { // even FixedIon moves, only not by other's forces
@@ -211,5 +223,5 @@
     }
     for (int d=0; d<NDIM; d++)
-      *ekin += 0.5*getType()->mass * U[d]*U[d];
+      *ekin += 0.5*getType()->getMass() * U[d]*U[d];
   }
 };
@@ -227,5 +239,5 @@
     for (int d=0; d<NDIM; d++) {
       U[d] *= sqrt(1+(configuration->Deltat/configuration->Thermostats->TempFrequency)*(ScaleTempFactor-1));
-      *ekin += 0.5*getType()->mass * U[d]*U[d];
+      *ekin += 0.5*getType()->getMass() * U[d]*U[d];
     }
   }
@@ -241,5 +253,5 @@
   if (FixedIon == 0) { // even FixedIon moves, only not by other's forces
     for (int d=0; d<NDIM; d++) {
-      *delta_alpha += U[d]*U[d]*getType()->mass;
+      *delta_alpha += U[d]*U[d]*getType()->getMass();
     }
   }
@@ -256,6 +268,6 @@
   if (FixedIon == 0) { // even FixedIon moves, only not by other's forces
     for (int d=0; d<NDIM; d++) {
-        U[d] += configuration->Deltat/getType()->mass * (configuration->Thermostats->alpha * (U[d] * getType()->mass));
-        *ekin += (0.5*getType()->mass) * U[d]*U[d];
+        U[d] += configuration->Deltat/getType()->getMass() * (configuration->Thermostats->alpha * (U[d] * getType()->getMass()));
+        *ekin += (0.5*getType()->getMass()) * U[d]*U[d];
       }
   }
Index: src/atom_trajectoryparticle.hpp
===================================================================
--- src/atom_trajectoryparticle.hpp	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/atom_trajectoryparticle.hpp	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -20,5 +20,4 @@
 #include <fstream>
 
-#include <gsl/gsl_inline.h>
 #include <gsl/gsl_randist.h>
 
Index: src/atom_trajectoryparticleinfo.cpp
===================================================================
--- src/atom_trajectoryparticleinfo.cpp	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/atom_trajectoryparticleinfo.cpp	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * atom_trajectoryparticleinfo.cpp
@@ -5,4 +12,9 @@
  *      Author: heber
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
Index: src/bond.cpp
===================================================================
--- src/bond.cpp	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/bond.cpp	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /** \file bond.cpp
  * 
@@ -4,4 +11,9 @@
  * 
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
@@ -51,7 +63,7 @@
 {
   if ((left != NULL) && (right != NULL)) {
-    if ((left->getType() != NULL) && (left->getType()->Z == 1))
+    if ((left->getType() != NULL) && (left->getType()->getAtomicNumber() == 1))
       HydrogenBond++;
-    if ((right->getType() != NULL) && (right->getType()->Z == 1))
+    if ((right->getType() != NULL) && (right->getType()->getAtomicNumber() == 1))
       HydrogenBond++;
   }
Index: src/bondgraph.cpp
===================================================================
--- src/bondgraph.cpp	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/bondgraph.cpp	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * bondgraph.cpp
@@ -5,4 +12,9 @@
  *      Author: heber
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
@@ -132,6 +144,6 @@
 
   for (molecule::const_iterator iter = mol->begin(); iter != mol->end(); ++iter) {
-    if ((*iter)->getType()->CovalentRadius > max_distance)
-      max_distance = (*iter)->getType()->CovalentRadius;
+    if ((*iter)->getType()->getCovalentRadius() > max_distance)
+      max_distance = (*iter)->getType()->getCovalentRadius();
   }
   max_distance *= 2.;
@@ -149,5 +161,5 @@
 void BondGraph::CovalentMinMaxDistance(BondedParticle * const Walker, BondedParticle * const OtherWalker, double &MinDistance, double &MaxDistance, bool IsAngstroem)
 {
-  MinDistance = OtherWalker->getType()->CovalentRadius + Walker->getType()->CovalentRadius;
+  MinDistance = OtherWalker->getType()->getCovalentRadius() + Walker->getType()->getCovalentRadius();
   MinDistance *= (IsAngstroem) ? 1. : 1. / AtomicLengthToAngstroem;
   MaxDistance = MinDistance + BondThreshold;
@@ -170,5 +182,5 @@
     CovalentMinMaxDistance(Walker, OtherWalker, MinDistance, MaxDistance, IsAngstroem);
   } else {
-    MinDistance = GetBondLength(Walker->getType()->Z-1, OtherWalker->getType()->Z-1);
+    MinDistance = GetBondLength(Walker->getType()->getAtomicNumber()-1, OtherWalker->getType()->getAtomicNumber()-1);
     MinDistance *= (IsAngstroem) ? 1. : 1. / AtomicLengthToAngstroem;
     MaxDistance = MinDistance + BondThreshold;
Index: src/boundary.cpp
===================================================================
--- src/boundary.cpp	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/boundary.cpp	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -1,6 +1,18 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /** \file boundary.cpp
  *
  * Implementations and super-function for envelopes
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
@@ -193,5 +205,5 @@
       }
     DoLog(1) && (Log() << Verbose(1) << "Inserting " << **iter << ": (r, alpha) = (" << radius << "," << angle << "): " << ProjectedVector << endl);
-      BoundaryTestPair = BoundaryPoints[axis].insert(BoundariesPair(angle, DistancePair (radius, (*iter))));
+      BoundaryTestPair = BoundaryPoints[axis].insert(BoundariesPair(angle, TesselPointDistancePair (radius, (*iter))));
       if (!BoundaryTestPair.second) { // same point exists, check first r, then distance of original vectors to center of gravity
         DoLog(2) && (Log() << Verbose(2) << "Encountered two vectors whose projection onto axis " << axis << " is equal: " << endl);
@@ -705,5 +717,5 @@
   // sum up the atomic masses
   for (molecule::const_iterator iter = mol->begin(); iter != mol->end(); ++iter) {
-      totalmass += (*iter)->getType()->mass;
+      totalmass += (*iter)->getType()->getMass();
   }
   DoLog(0) && (Log() << Verbose(0) << "RESULT: The summed mass is " << setprecision(10) << totalmass << " atomicmassunit." << endl);
@@ -804,5 +816,4 @@
   // Center filler at origin
   filler->CenterEdge(&Inserter);
-  filler->Center.Zero();
   const int FillerCount = filler->getAtomCount();
   DoLog(2) && (Log() << Verbose(2) << "INFO: Filler molecule has the following bonds:" << endl);
Index: src/boundary.hpp
===================================================================
--- src/boundary.hpp	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/boundary.hpp	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -1,6 +1,4 @@
 #ifndef BOUNDARY_HPP_
 #define BOUNDARY_HPP_
-
-using namespace std;
 
 /*********************************************** includes ***********************************/
@@ -18,8 +16,8 @@
 
 #include "defs.hpp"
+#include "BoundaryMaps.hpp"
 
 /****************************************** forward declarations *****************************/
 
-class atom;
 class BoundaryPointSet;
 class BoundaryLineSet;
@@ -30,4 +28,5 @@
 class MoleculeListClass;
 class Tesselation;
+class TesselPoint;
 class Vector;
 
@@ -38,12 +37,4 @@
 enum { SingleStepWidth=10 };
 
-typedef std::pair < double, class atom* > DistancePair;
-typedef std::multimap < double, class atom* > DistanceMap;
-typedef std::pair < DistanceMap::iterator, bool> DistanceTestPair;
-
-typedef std::map <double, DistancePair > Boundaries;
-typedef std::pair<double, DistancePair > BoundariesPair;
-typedef std::pair< Boundaries::iterator, bool> BoundariesTestPair;
-
 /********************************************** declarations *******************************/
 
@@ -52,5 +43,4 @@
 void FindConvexBorder(const molecule* const mol, Boundaries *BoundaryPts, Tesselation *&TesselStruct, const LinkedCell *LCList, const char *filename);
 Vector* FindEmbeddingHole(MoleculeListClass *mols, molecule *srcmol);
-void FindNextSuitablePoint(class BoundaryTriangleSet *BaseTriangle, class BoundaryLineSet *BaseLine, atom*& OptCandidate, Vector *OptCandidateCenter, double *ShortestAngle, const double RADIUS, LinkedCell *LC);
 bool FindNonConvexBorder(const molecule* const mol, Tesselation *&TesselStruct, const LinkedCell *&LC, const double RADIUS, const char *tempbasename);
 Boundaries *GetBoundaryPoints(const molecule *mol, Tesselation *&TesselStruct);
Index: src/builder.cpp
===================================================================
--- src/builder.cpp	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/builder.cpp	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -1,6 +1,20 @@
-/** \file builder.cpp
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+ /** \file builder.cpp
  *
  *  date: Jan 1, 2007
  *  author: heber
+ *
+ */
+
+/*! \page Copyright notice
+ *
+ *  MoleCuilder - to create and alter molecular systems
+ *  Copyright (C) 2010  University Bonn. All rights reserved.
  *
  */
@@ -53,4 +67,9 @@
  *
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
@@ -127,6 +146,10 @@
   std::string BondGraphFileName("\n");
 
-  // print version check whether arguments are present at all
-  cout << ESPACKVersion << endl;
+  // print version check and copyright notice
+  cout << MOLECUILDERVERSION << endl;
+  cout << "MoleCuilder comes with ABSOLUTELY NO WARRANTY; for details type" << endl;
+  cout << "`molecuilder --help-warranty'." << endl;
+  cout << "`MoleCuilder - to create and alter molecular systems." << endl;
+  cout << "Copyright (C) 2010  University Bonn. All rights reserved." << endl;
 
   setVerbosity(0);
@@ -166,5 +189,5 @@
       #else
         DoLog(0) && (Log() << Verbose(0) << "Setting UI to Text." << endl);
-        cout << ESPACKVersion << endl;
+        cout << MOLECUILDERVERSION << endl;
         UIFactory::registerFactory(new TextUIFactory::description());
         UIFactory::makeUserInterface("Text");
Index: src/config.cpp
===================================================================
--- src/config.cpp	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/config.cpp	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /** \file config.cpp
  *
@@ -5,4 +12,9 @@
  */
 
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 #include "Helpers/MemDebug.hpp"
 
@@ -10,4 +22,5 @@
 #include <cstring>
 
+//#include "Actions/FragmentationAction/SubgraphDissectionAction.hpp"
 #include "atom.hpp"
 #include "bond.hpp"
@@ -471,5 +484,5 @@
       ParseForParameter(verbose,FileBuffer, name, 0, 2, 1, int_type, &Z, 1, critical);
       elementhash[i] = periode->FindElement(Z);
-      DoLog(1) && (Log() << Verbose(1) << i << ". Z = " << elementhash[i]->Z << " with " << No[i] << " ions." << endl);
+      DoLog(1) && (Log() << Verbose(1) << i << ". Z = " << elementhash[i]->getAtomicNumber() << " with " << No[i] << " ions." << endl);
       NoAtoms += No[i];
     }
@@ -851,5 +864,5 @@
   // 4. dissect the molecule into connected subgraphs
   // don't do this here ...
-  //MolList->DissectMoleculeIntoConnectedSubgraphs(mol,this);
+  //FragmentationSubgraphDissection();
   //delete(mol);
 
@@ -1339,6 +1352,6 @@
     AtomNo = 0;
     for (molecule::const_iterator iter = (*MolRunner)->begin(); iter != (*MolRunner)->end(); ++iter) {
-      sprintf(name, "%2s%2d",(*iter)->getType()->symbol, elementNo[(*iter)->getType()->Z]);
-      elementNo[(*iter)->getType()->Z] = (elementNo[(*iter)->getType()->Z]+1) % 100;   // confine to two digits
+      sprintf(name, "%2s%2d",(*iter)->getType()->getSymbol().c_str(), elementNo[(*iter)->getType()->getAtomicNumber()]);
+      elementNo[(*iter)->getType()->getAtomicNumber()] = (elementNo[(*iter)->getType()->getAtomicNumber()]+1) % 100;   // confine to two digits
       fprintf(f,
              "ATOM %6u %-4s %4s%c%4u    %8.3f%8.3f%8.3f%6.2f%6.2f      %4s%2s%2s\n",
@@ -1351,8 +1364,8 @@
              (*iter)->at(1),                 /* position Y in Angstroem */
              (*iter)->at(2),                 /* position Z in Angstroem */
-             (double)(*iter)->getType()->Valence,         /* occupancy */
-             (double)(*iter)->getType()->NoValenceOrbitals,          /* temperature factor */
+             (double)(*iter)->getType()->getValence(),         /* occupancy */
+             (double)(*iter)->getType()->getNoValenceOrbitals(),          /* temperature factor */
              "0",            /* segment identifier */
-             (*iter)->getType()->symbol,    /* element symbol */
+             (*iter)->getType()->getSymbol().c_str(),    /* element symbol */
              "0");           /* charge */
       AtomNo++;
@@ -1392,6 +1405,6 @@
   AtomNo = 0;
   for (molecule::const_iterator iter = mol->begin(); iter != mol->end(); ++iter) {
-    sprintf(name, "%2s%2d",(*iter)->getType()->symbol, elementNo[(*iter)->getType()->Z]);
-    elementNo[(*iter)->getType()->Z] = (elementNo[(*iter)->getType()->Z]+1) % 100;   // confine to two digits
+    sprintf(name, "%2s%2d",(*iter)->getType()->getSymbol().c_str(), elementNo[(*iter)->getType()->getAtomicNumber()]);
+    elementNo[(*iter)->getType()->getAtomicNumber()] = (elementNo[(*iter)->getType()->getAtomicNumber()]+1) % 100;   // confine to two digits
     fprintf(f,
            "ATOM %6u %-4s %4s%c%4u    %8.3f%8.3f%8.3f%6.2f%6.2f      %4s%2s%2s\n",
@@ -1404,8 +1417,8 @@
            (*iter)->at(1),                 /* position Y in Angstroem */
            (*iter)->at(2),                 /* position Z in Angstroem */
-           (double)(*iter)->getType()->Valence,         /* occupancy */
-           (double)(*iter)->getType()->NoValenceOrbitals,          /* temperature factor */
+           (double)(*iter)->getType()->getValence(),         /* occupancy */
+           (double)(*iter)->getType()->getNoValenceOrbitals(),          /* temperature factor */
            "0",            /* segment identifier */
-           (*iter)->getType()->symbol,    /* element symbol */
+           (*iter)->getType()->getSymbol().c_str(),    /* element symbol */
            "0");           /* charge */
     AtomNo++;
@@ -1451,6 +1464,6 @@
     *output << 0 << "\t";
     *output << (*iter)->at(0) << "\t" << (*iter)->at(1) << "\t" << (*iter)->at(2) << "\t";
-    *output << static_cast<double>((*iter)->getType()->Valence) << "\t";
-    *output << (*iter)->getType()->symbol << "\t";
+    *output << static_cast<double>((*iter)->getType()->getValence()) << "\t";
+    *output << (*iter)->getType()->getSymbol() << "\t";
     for (BondList::iterator runner = (*iter)->ListOfBonds.begin(); runner != (*iter)->ListOfBonds.end(); runner++)
       *output << (*runner)->GetOtherAtom(*iter)->nr << "\t";
@@ -1523,6 +1536,6 @@
         *output << MolCounter+1 << "\t";
         *output << (*iter)->at(0) << "\t" << (*iter)->at(1) << "\t" << (*iter)->at(2) << "\t";
-        *output << (double)(*iter)->getType()->Valence << "\t";
-        *output << (*iter)->getType()->symbol << "\t";
+        *output << (double)(*iter)->getType()->getValence() << "\t";
+        *output << (*iter)->getType()->getSymbol() << "\t";
         for (BondList::iterator runner = (*iter)->ListOfBonds.begin(); runner != (*iter)->ListOfBonds.end(); runner++)
           *output << LocalNotoGlobalNoMap[ (*runner)->GetOtherAtom((*iter))->getId() ] << "\t";
@@ -1586,9 +1599,7 @@
     for (MoleculeList::iterator ListRunner = molecules->ListOfMolecules.begin(); ListRunner != molecules->ListOfMolecules.end(); ListRunner++) {
       src[N++] = (*ListRunner)->IndexNr;
-      (*ListRunner)->Translate(&(*ListRunner)->Center);
     }
     mol = World::getInstance().createMolecule();
     mol->SetNameFromFilename(ConfigFileName);
-    molecules->SimpleMultiMerge(mol, src, N);
     //mol->CalculateOrbitals(*this);
     delete[](src);
Index: src/datacreator.cpp
===================================================================
--- src/datacreator.cpp	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/datacreator.cpp	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /** \file datacreator.cpp
  *
@@ -6,4 +13,9 @@
 
 //============================ INCLUDES ===========================
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
Index: src/defs.cpp
===================================================================
--- src/defs.cpp	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/defs.cpp	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * defs.cpp
@@ -5,4 +12,11 @@
  *      Author: heber
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "Helpers/MemDebug.hpp"
 
 #include "defs.hpp"
Index: src/element.cpp
===================================================================
--- src/element.cpp	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/element.cpp	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /** \file element.cpp
  * 
@@ -5,4 +12,9 @@
  */
 
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 #include "Helpers/MemDebug.hpp"
 
@@ -10,4 +22,5 @@
 #include <fstream>
 
+#include "Helpers/Assert.hpp"
 #include "element.hpp"
 
@@ -23,7 +36,4 @@
   VanDerWaalsRadius(0),
 	Z(-1),
-	previous(NULL),
-	next(NULL),
-	sort(NULL),
 	Valence(0),
 	NoValenceOrbitals(0)
@@ -31,7 +41,39 @@
 };
 
+element::element(const element &src) :
+  mass(src.mass),
+  CovalentRadius(src.CovalentRadius),
+  VanDerWaalsRadius(src.VanDerWaalsRadius),
+  Z(src.Z),
+  Valence(src.Valence),
+  NoValenceOrbitals(src.NoValenceOrbitals),
+  name(src.name),
+  symbol(src.symbol)
+{
+  period = src.period;
+  group = src.group;
+  block = src.block;
+}
+
 /** Destructor of class element.
  */
 element::~element() {};
+
+element &element::operator=(const element &src){
+  if(this!=&src){
+    mass=src.mass;
+    CovalentRadius=src.CovalentRadius;
+    VanDerWaalsRadius=src.VanDerWaalsRadius;
+    Z=src.Z;
+    Valence=src.Valence;
+    NoValenceOrbitals=src.NoValenceOrbitals;
+    name=src.name;
+    symbol=src.symbol;
+    period = src.period;
+    group = src.group;
+    block = src.block;
+  }
+  return *this;
+}
 
 /** Prints element data to \a *out.
@@ -66,10 +108,70 @@
 }
 
-string element::getSymbol() const{
-  return string(symbol);
+double element::getMass() const
+{
+  return mass;
 }
 
-std::string element::getName() const{
-  return string(name);
+double element::getCovalentRadius() const
+{
+  return CovalentRadius;
+}
+
+double element::getVanDerWaalsRadius() const
+{
+  return VanDerWaalsRadius;
+}
+
+int element::getAtomicNumber() const
+{
+  return Z;
+}
+
+double element::getValence() const
+{
+  return Valence;
+}
+
+int element::getNoValenceOrbitals() const
+{
+  return NoValenceOrbitals;
+}
+
+double element::getHBondDistance(const int i) const
+{
+  ASSERT((i>=0) && (i<3), "Access to element::HBondDistance out of bounds.");
+  return HBondDistance[i];
+}
+
+double element::getHBondAngle(const int i) const
+{
+  ASSERT((i>=0) && (i<3), "Access to element::HBondAngle out of bounds.");
+  return HBondAngle[i];
+}
+
+string &element::getSymbol(){
+  return symbol;
+}
+
+const string &element::getSymbol() const{
+  return symbol;
+}
+
+void element::setSymbol(const std::string &temp)
+{
+  symbol = temp;
+}
+
+std::string &element::getName(){
+  return name;
+}
+
+const std::string &element::getName() const{
+  return name;
+}
+
+void element::setName(const std::string &temp)
+{
+  name = temp;
 }
 
Index: src/element.hpp
===================================================================
--- src/element.hpp	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/element.hpp	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -22,4 +22,6 @@
 #include "types.hpp"
 
+class periodentafel;
+
 /********************************************** declarations *******************************/
 
@@ -28,17 +30,43 @@
  */
 class element {
+  friend class periodentafel;
   public:
+    element();
+    element(const element&);
+    ~element();
+
+    element &operator=(const element&);
+
+    // accessor functions
+    atomicNumber_t getNumber() const;
+    double getMass() const;
+    double getCovalentRadius() const;
+    double getVanDerWaalsRadius() const;
+    int getAtomicNumber() const;
+    double getValence() const;
+    int getNoValenceOrbitals() const;
+    double getHBondDistance(const int i) const;
+    double getHBondAngle(const int i) const;
+
+    std::string &getSymbol();
+    const std::string &getSymbol() const;
+    void setSymbol(const std::string &temp);
+
+    std::string &getName();
+    const std::string &getName() const;
+    void setName(const std::string &temp);
+
+    //> print element entries to screen
+    bool Output(std::ostream * const out) const;
+    bool Checkout(std::ostream * const out, const int No, const int NoOfAtoms) const;
+
+  private:
     double mass;    //!< mass in g/mol
     double CovalentRadius;  //!< covalent radius
     double VanDerWaalsRadius;  //!< can-der-Waals radius
     int Z;          //!< atomic number
-    char name[64];  //!< atom name, i.e. "Hydrogren"
-    char symbol[3]; //!< short form of the atom, i.e. "H"
-    char period[8];    //!< period: n quantum number
-    char group[8];    //!< group: l quantum number
-    char block[8];    //!< block: l quantum number
-    element *previous;  //!< previous item in list
-    element *next;  //!< next element in list
-    int *sort;      //!< sorc criteria
+    std::string period;    //!< period: n quantum number
+    std::string group;    //!< group: l quantum number
+    std::string block;    //!< block: l quantum number
     double Valence;   //!< number of valence electrons for this element
     int NoValenceOrbitals;  //!< number of valence orbitals, used for determining bond degree in molecule::CreateConnectmatrix()
@@ -46,17 +74,6 @@
     double HBondAngle[NDIM];     //!< typical angle for one, two, three bonded hydrogen (in degrees)
 
-  element();
-  ~element();
-
-  // accessor functions
-  atomicNumber_t getNumber() const;
-  std::string getSymbol() const;
-  std::string getName() const;
-
-  //> print element entries to screen
-  bool Output(std::ostream * const out) const;
-  bool Checkout(std::ostream * const out, const int No, const int NoOfAtoms) const;
-
-  private:
+    std::string name;  //!< atom name, i.e. "Hydrogen"
+    std::string symbol; //!< short form of the atom, i.e. "H"
 };
 
Index: src/elements_db.cpp
===================================================================
--- src/elements_db.cpp	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/elements_db.cpp	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * elements_db.cpp
@@ -5,4 +12,9 @@
  *      Author: heber
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
Index: src/ellipsoid.cpp
===================================================================
--- src/ellipsoid.cpp	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/ellipsoid.cpp	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * ellipsoid.cpp
@@ -5,4 +12,9 @@
  *      Author: heber
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
Index: src/graph.cpp
===================================================================
--- src/graph.cpp	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/graph.cpp	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /** \file graph.cpp
  *
@@ -4,4 +11,9 @@
  *
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
Index: src/joiner.cpp
===================================================================
--- src/joiner.cpp	(revision 8006eed2788de714f5d76c85a5cb7d0c5891ef58)
+++ src/joiner.cpp	(revision 994713afde7cd130d68e8417cfee8669e3d96182)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /** \file joiner.cpp
  *
@@ -7,4 +14,9 @@
 
 //============================ INCLUDES ===========================
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
